SynqDocs
Management APIToken gates

Read a token gate

A gate of the brand (404 for a gate of another brand). Needs `org.tokenGates.view`.

GET/v1/orgs/{org}/brands/{brand}/token-gates/{gate}

A gate of the brand (404 for a gate of another brand). Needs org.tokenGates.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
brand*string

The brand's id

Match^brd_[0-9a-hjkmnp-tv-z]{26}$
gate*string

The token gate's id

Match^tkg_[0-9a-hjkmnp-tv-z]{26}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/brands/brd_01h455vb4pex5vsknk084sn02q/token-gates/tkg_01h455vb4pex5vsknk084sn02q" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "tkg_01h455vb4pex5vsknk084sn02q",  "brand": "brd_01h455vb4pex5vsknk084sn02q",  "name": "Acme holders",  "enabled": true,  "rule": {    "version": 1,    "root": {      "type": "all",      "conditions": [        {          "type": "token",          "chain": "solana:mainnet",          "mint": "string",          "min_amount": "string",          "wallets": "combined",          "label": "USDC",          "display": {            "name": "Acme",            "symbol": "string",            "decimals": 0,            "image": "string"          }        }      ]    }  },  "schedule": {    "timezone": "string",    "all_day": true,    "starts": "string",    "ends": "string",    "outside": "let_in",    "starts_at": "2026-10-21T12:00:00.000Z",    "ends_at": "2026-10-21T12:00:00.000Z",    "state": "in_effect"  },  "refusal_message": "string",  "summary": "All of: At least 1,000 USDC; One of (At least 3 NFTs from Mad Lads; The NFT Mad Lad #42)",  "brands": [    "brd_01h455vb4pex5vsknk084sn02q"  ],  "apps": [    "app_01h455vb4pex5vsknk084sn02q"  ],  "discord_roles": [    {      "server": "string",      "server_name": "Mollyverse",      "role": "string",      "role_name": "MDP Holder",      "grace_seconds": 0,      "recheck_seconds": 0,      "existing_members": "verify",      "adopt_by": "2026-10-21T12:00:00.000Z",      "adoption": {        "state": "none",        "verify_by": "2026-10-21T12:00:00.000Z",        "counted": 0,        "unverified": 0,        "member_listing": "full",        "problem": "members_intent",        "problem_detail": "string"      }    }  ],  "telegram_groups": [    {      "group": "string",      "title": "RODAI Holders",      "on_lost": "mute",      "grace_seconds": 0,      "recheck_seconds": 0,      "existing_members": "verify",      "adopt_by": "2026-10-21T12:00:00.000Z",      "adoption": {        "state": "none",        "verify_by": "2026-10-21T12:00:00.000Z",        "counted": 0,        "unverified": 0,        "member_listing": "full",        "problem": "members_intent",        "problem_detail": "string"      }    }  ],  "created_at": "2026-10-21T12:00:00.000Z",  "updated_at": "2026-10-21T12:00:00.000Z"}